2018-12-14 03:57 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001302FSSCPcutscenespublic2007-02-25 00:15
ReporterMelf 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionduplicate 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001302: green tint in starting intro
DescriptionThe intro movie (ogg and mve) is green when starting the game. If I play it from the main-hall movie review it's fine.I'm using latest cvs (so it is 3.10?) on Gentoo and have the fixes from Bug http://scp.indiegames.us/mantis/bug_view_advanced_page.php?bug_id=1041 implemented. I wanted to reopen that one cause it is that similiar but I couldn't find a reopen-button...
TagsNo tags attached.
Attached Files
  • diff file icon sshot.diff (1,363 bytes) 2007-02-24 20:55 -
    Index: code/cutscene/mveplayer.cpp
    ===================================================================
    RCS file: /home/fs2source/cvsroot/fs2_open/code/cutscene/mveplayer.cpp,v
    retrieving revision 2.1.2.4
    diff -u -r2.1.2.4 mveplayer.cpp
    --- code/cutscene/mveplayer.cpp	10 Feb 2007 00:01:53 -0000	2.1.2.4
    +++ code/cutscene/mveplayer.cpp	24 Feb 2007 20:54:26 -0000
    @@ -667,6 +667,13 @@
     		case KEY_ENTER:
     		case KEY_SPACEBAR:
     			mve_playing = 0;
    +			break;
    +		case KEY_PRINT_SCRN:
    +			static int movie_screen = 0;
    +			char msname[MAX_FILENAME_LEN];
    +			sprintf(msname, "vidcap%.3i", movie_screen++);
    +			gr_print_screen(msname);
    +			break;
     	}
     
     	//mprintf(("mve frame took this long: %.6f\n", f2fl(t2-t1) / 1000.0f));
    Index: code/cutscene/oggplayer.cpp
    ===================================================================
    RCS file: /home/fs2source/cvsroot/fs2_open/code/cutscene/oggplayer.cpp,v
    retrieving revision 1.1.2.3
    diff -u -r1.1.2.3 oggplayer.cpp
    --- code/cutscene/oggplayer.cpp	10 Feb 2007 00:01:53 -0000	1.1.2.3
    +++ code/cutscene/oggplayer.cpp	24 Feb 2007 20:54:26 -0000
    @@ -610,6 +610,13 @@
     		case KEY_ENTER:
     		case KEY_SPACEBAR:
     			playing = 0;
    +			break;
    +		case KEY_PRINT_SCRN:
    +			static int movie_screen = 0;
    +			char msname[MAX_FILENAME_LEN];
    +			sprintf(msname, "vidcap%.3i", movie_screen++);
    +			gr_print_screen(msname);
    +			break;
     	}
     }
     
    
    diff file icon sshot.diff (1,363 bytes) 2007-02-24 20:55 +

-Relationships
duplicate of 0001041resolvedtaylor red tint in end cutscene 
+Relationships

-Notes

~0007716

thesource2 (reporter)

I experience this too in 20070201. But I was told that this was fixed in later built (which is not yet released I suppose - couldn't find it anywhere)

~0007717

taylor (administrator)

This test build should have the fix in it:
http://icculus.org/~taylor/fso/willrobinson/Xt0212-win32.rar

~0007718

Melf (reporter)

Thanks for your help Taylor.
I was referring to this cvs-tree, which I'm using at the moment
http://fs2source.warpcore.org/cgi-bin/cvsweb/cvsweb.cgi/fs2_open/code/cutscene/
I thought this got the latest fixes included.
Youre test build consists of *.exe files and I'm using Linux so I can't try them.
Maybe you can send them to the cvs-tree or give me a diff file so I can build them into my own cvs-tree by myself.

~0007719

taylor (administrator)

Ah. :)

The fix is in both CVS trees (the stable and unstable one), so grab a fresh checkout and see if it's fixed, assuming that you haven't tried that already.

If that doesn't sove it then I'm not quite sure what the problem is, I can't reproduce it. If it's not fixed then try added the attached diff, which adds screenshot support to movies, and post a couple of screen grabs so that I can see the exact problem.

~0007725

Melf (reporter)

ok my fault...really embarrassing.
I did
ebuild /usr/local/portage/category/program/program-version.ebuild digest
ebuild /usr/local/portage/category/program/program-version.ebuild unpack
ebuild /usr/local/portage/category/program/program-version.ebuild compile
ebuild /usr/local/portage/category/program/program-version.ebuild install
and forgot to qmerge it...
ebuild /usr/local/portage/category/program/program-version.ebuild qmerge

hey but now everything works fine the intro movie is great and I can make screenshots ;)
somebody can close that

~0007726

taylor (administrator)

Cool. :)
+Notes

-Issue History
Date Modified Username Field Change
2007-02-24 13:45 Melf New Issue
2007-02-24 13:55 thesource2 Note Added: 0007716
2007-02-24 19:15 taylor Note Added: 0007717
2007-02-24 20:23 Melf Note Added: 0007718
2007-02-24 20:55 taylor Note Added: 0007719
2007-02-24 20:55 taylor File Added: sshot.diff
2007-02-24 23:17 Melf Note Added: 0007725
2007-02-25 00:15 taylor Note Added: 0007726
2007-02-25 00:15 taylor Relationship added duplicate of 0001041
2007-02-25 00:15 taylor Duplicate ID 0 => 1041
2007-02-25 00:15 taylor Status new => resolved
2007-02-25 00:15 taylor Resolution open => duplicate
2007-02-25 00:15 taylor Assigned To => taylor
+Issue History